Package org.eclipse.emf.cdo.common.branch

## Interface CDOBranchTag

- All Superinterfaces:
    `CDOBranchPoint`, `CDOBranchProvider`, `CDONameProvider`, `CDOTimeProvider`, `java.lang.Comparable<CDOBranchTag>`

      public interface CDOBranchTag
      extends CDOBranchPoint, CDONameProvider, java.lang.Comparable<CDOBranchTag>

  A persistent, named `branch point`.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDOBranchTag.TagDeletedEvent` |
    `static interface` | `CDOBranchTag.TagEvent` |
    `static interface` | `CDOBranchTag.TagMovedEvent` |
    `static interface` | `CDOBranchTag.TagRenamedEvent` |

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `CDOBranchManager` | `getBranchManager()` | Returns the branch manager that manages this branch, never `null`.
    `java.lang.String` | `getName()` | Returns the name of this branch tag.
    `boolean` | `isDeleted()` |
    `void` | `move​(CDOBranchPoint branchPoint)` |
    `void` | `setName​(java.lang.String name)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getBranchManager

          CDOBranchManager getBranchManager()

      Returns the branch manager that manages this branch, never `null`.
      Since:
        4.11

    - #### getName

          java.lang.String getName()

      Returns the name of this branch tag.
      Specified by:
        `getName` in interface `CDONameProvider`

    - #### setName

          void setName​(java.lang.String name)

      Since:
        4.11

    - #### move

          void move​(CDOBranchPoint branchPoint)

      Since:
        4.11

    - #### delete

          void delete()

      Since:
        4.11

    - #### isDeleted

          boolean isDeleted()

      Since:
        4.11